Error in authentication with countriesneedIDnumber

Se nos produce un error en prestashop 1.5.4 si intentamos hacer un pedido con Internet Explorer 8, podriamos incrementar el precio para que la gente fuera actualizando, pero como no ha podido ser por que se intenta que todo el mundo compre pues nos toca investigar y cambiar un poco el js de validación para la tienda Online Prestashop.

El fichero a modificar es:

 /themes/default/authentication.tpl

 

Y debemos cambiar el codigo original que dice.

 

 

<script type="text/javascript">
// <![CDATA[
idSelectedCountry = {if isset($smarty.post.id_state)}{$smarty.post.id_state|intval}{else}false{/if};
countries = new Array();
countriesNeedIDNumber = new Array();
countriesNeedZipCode = new Array();

Por

<script type="text/javascript">
// <![CDATA[
var idSelectedCountry = {if isset($smarty.post.id_state)}{$smarty.post.id_state|intval}{else}false{/if};
var countries = new Array();
var countriesNeedIDNumber = new Array();
var countriesNeedZipCode = new Array();

 

Gracias al gran foro de prestashop donde encontramos la solución a este problema.

 http://www.prestashop.com/forums/topic/147274-error-in-authentication-with-countriesneedidnumber/

 

Compartir

One&One

SEMrush

Visitanos en: